cURL
curl -X GET "https://api.fitsociety.io/public/v1/finance/credits" \
-H "Authorization: Bearer <access_token>"const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fitsociety.io/public/v1/finance/credits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fitsociety.io/public/v1/finance/credits"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"page": 1,
"limit": 1,
"total": 1,
"totalPages": 1,
"hasNextPage": true,
"hasPrevPage": true,
"credits": [
{
"creditId": "66f7b8b1e13c8d25f4d3d90a",
"client": {
"clientId": "66f7b8b1e13c8d25f4d3d90a",
"name": "Example name"
},
"source": "string",
"sourceName": "Example name",
"status": "active",
"productType": "string",
"poolKey": "string",
"poolName": "Example name",
"poolMode": "string",
"totalCredits": 1,
"usedCredits": 1,
"availableCredits": 1,
"startDate": "2026-07-14T10:00:00.000Z",
"expiryDate": "2026-07-14T10:00:00.000Z",
"allowNegativeCredits": true,
"subscriptionId": "66f7b8b1e13c8d25f4d3d90a",
"clientProductId": "66f7b8b1e13c8d25f4d3d90a"
}
]
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1
}
}
}Credit allocations
List all credits
Requires finance_credits:read. Returns company-wide credit allocations. Omit status to include active, expired, and empty allocations.
GET
/
public
/
v1
/
finance
/
credits
cURL
curl -X GET "https://api.fitsociety.io/public/v1/finance/credits" \
-H "Authorization: Bearer <access_token>"const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fitsociety.io/public/v1/finance/credits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fitsociety.io/public/v1/finance/credits"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"page": 1,
"limit": 1,
"total": 1,
"totalPages": 1,
"hasNextPage": true,
"hasPrevPage": true,
"credits": [
{
"creditId": "66f7b8b1e13c8d25f4d3d90a",
"client": {
"clientId": "66f7b8b1e13c8d25f4d3d90a",
"name": "Example name"
},
"source": "string",
"sourceName": "Example name",
"status": "active",
"productType": "string",
"poolKey": "string",
"poolName": "Example name",
"poolMode": "string",
"totalCredits": 1,
"usedCredits": 1,
"availableCredits": 1,
"startDate": "2026-07-14T10:00:00.000Z",
"expiryDate": "2026-07-14T10:00:00.000Z",
"allowNegativeCredits": true,
"subscriptionId": "66f7b8b1e13c8d25f4d3d90a",
"clientProductId": "66f7b8b1e13c8d25f4d3d90a"
}
]
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1
}
}
}Authorizations
Public API access token issued by /public/v1/oauth/token. Example: Authorization: Bearer fspt_.... Each resource request rechecks the token company's current provider access. Disabling access blocks existing tokens with 403 auth.provider_unavailable.
Query Parameters
Required range:
x >= 1Required range:
1 <= x <= 200Optional comma-separated statuses. Omit this filter to return active, expired, and empty credit allocations.
Available options:
active, expired, empty Optional comma-separated credit sources.
Available options:
pack, membership, manual Example:
"66f7b8b1e13c8d25f4d3d90a"
Optional inclusive expiry-date range start in YYYY-MM-DD.
Example:
"2026-08-01"
Optional inclusive expiry-date range end in YYYY-MM-DD.
Example:
"2026-08-31"
Available options:
positive, negative Available options:
remaining_asc, remaining_desc